> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a deployment

> Get a single deployment by ID.



## OpenAPI

````yaml api-reference/agents/openapi.json GET /v1/agents/{agentId}/deployments/{deploymentId}
openapi: 3.1.0
info:
  title: PolyAI Agents API
  version: 1.0.11
  description: Manage PolyAI agents, telephony, deployments, and real-time configs.
servers:
  - url: https://api.us.poly.ai
    description: US region
  - url: https://api.eu.poly.ai
    description: EU region
  - url: https://api.uk.poly.ai
    description: UK region
  - url: https://api.studio.poly.ai
    description: Studio region
security:
  - polyApiKey: []
paths:
  /v1/agents/{agentId}/deployments/{deploymentId}:
    parameters:
      - name: agentId
        in: path
        required: true
        schema:
          type: string
      - name: deploymentId
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - Deployments
      summary: Get a deployment
      description: Get a single deployment by ID.
      responses:
        '200':
          description: Deployment details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeploymentPublicResponse'
        '404':
          description: Deployment not found
components:
  schemas:
    DeploymentPublicResponse:
      type: object
      title: DeploymentPublicResponse
      description: A deployment of an agent version to an environment.
      properties:
        id:
          type: string
        accountId:
          type: string
        agentId:
          type: string
        environment:
          type: string
        artifactVersion:
          type: string
        version:
          type: string
        createdBy:
          type: string
        createdAt:
          type: string
        metadata:
          type:
            - object
            - 'null'
          additionalProperties: {}
      required:
        - id
        - accountId
        - agentId
        - environment
        - artifactVersion
        - version
        - createdBy
        - createdAt
      additionalProperties: false
  securitySchemes:
    polyApiKey:
      type: apiKey
      in: header
      name: X-API-KEY

````